#include <bits/stdc++.h>

using namespace std;

int main()
{
    string x,y;
    int xl,yl,xc;
    cin>>x>>y;
    xl = x.length();
    yl = y.length();
    if(xl=yl)
    {
        for(int i = 0; i < max(xl,yl); i++)
        {
            if(x[i]>y[i])
            {
                cout<<x[i];
            }
            else if(x[i]<y[i])
            {
                cout<<y[i];
            }
            else
            {
                cout<<x[i]<<y[i];
            }
            if(xl>yl)
            {
                cout<<x.substr(0,xl-yl);
            }
            if(yl>xl)
            {
                cout<<x.substr(0,yl-xl);
              //  xc=xl-yl;
              //  xl=yl;
            }
        }
    }
    return 0;
}